# shmop_write

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

shmop_write — Write data into shared memory block

### Description

shmop_write ( resource `$shmid` , string `$data` , int `$offset` ) : int

shmop_write() will write a string into shared memory block.

### Parameters

`shmid`

  The shared memory block identifier created by shmop_open()

`data`

  A string to write into shared memory block

`offset`

  Specifies where to start writing data inside the shared memory segment.

### Return Values

The size of the written `data`, or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
7.0.0 | The type of `shmid` has been changed from int to resource.

### Examples

Example #1 Writing to shared memory block

`<?php
$shm_bytes_written = shmop_write($shm_id, $my_string, 0);
?>`

This example will write data inside $my_string into shared memory block, $shm_bytes_written will contain the number of bytes written.

### See Also

- shmop_read() - Read data from shared memory block